/*
 *  sweepLineDg.h
 *  VSweep
 *
 *  Created by Chema on 10/13/10.
 *  Copyright 2010 __MyCompanyName__. All rights reserved.
 *
 */

#include "sweepLine.h"
namespace DBUG {
    void printInterx(const SL::Interx& ix);
    void printInterxs(const SL::Interx::set& interxs, int limit=-1);
    void printEvent(const Event& e) ;
    void printEvents(const Event::queue& events, int limit=-1) ;

    void printSLS(const Segment& sls) ;
    void printTree(const Segment::tree& tree, int limit=-1);
    void printSegments(const Segment::vector& segs, int limit=-1) ;
    void DUMP_ACTIVE(const Segment::tree& tree) ;
    void DEBUG_DRAW(const Event::queue& events, const SL::Interx::set& interxs, const Segment::tree& tree,  Font& font);
}